builder:
  stage: build
  only:
    - main
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  cache: {}
  before_script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_DEPLOY_USER\",\"password\":\"$ACCESS_TOKEN\"}}}" > /kaniko/.docker/config.json
  script:
    - /kaniko/executor
      --context "${CI_PROJECT_DIR}"
      --dockerfile "$CI_PROJECT_DIR/Dockerfile"
      --destination "$CI_REGISTRY_IMAGE:latest"

stadtradeln-scraper:
  image: python:3.11-bookworm
  stage: build
  only:
    - schedules
    - web
  before_script:
    - pip install -r requirements.txt
    - sh install-chrome.sh
  script:
    - python index.py
    - git config user.email "f.erdmann@reedu.de"
    - git config user.name "ci-bot"
    - git add data/*
    - git remote add gitlab_ci_origin https://oauth2:$ACCESS_TOKEN@gitlab.opencode.de/smart-city-muenster/klimadashboard-muenster/stadtradeln-scraper.git
    - "git commit -m 'ci: update stadtradeln data' --no-verify"
    - git push gitlab_ci_origin HEAD:main
